curl --request GET \
--url https://app.tagadapay.com/api/public/v1/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>'{
"subscription": {
"id": "sub_123",
"status": "active",
"currency": "USD",
"quantity": 1,
"createdAt": "2024-03-20T10:30:00Z",
"currentPeriodStart": "2024-03-20T00:00:00Z",
"currentPeriodEnd": "2024-04-20T00:00:00Z",
"customer": {
"id": "cus_456",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"product": {
"id": "prod_123",
"name": "Premium Plan"
},
"price": {
"id": "price_123",
"recurring": true,
"interval": "month",
"intervalCount": 1,
"currencyOptions": {
"USD": {
"amount": 2999
}
}
}
}
}Retrieve detailed information about a specific subscription including customer, product, and payment details
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>'{
"subscription": {
"id": "sub_123",
"status": "active",
"currency": "USD",
"quantity": 1,
"createdAt": "2024-03-20T10:30:00Z",
"currentPeriodStart": "2024-03-20T00:00:00Z",
"currentPeriodEnd": "2024-04-20T00:00:00Z",
"customer": {
"id": "cus_456",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"product": {
"id": "prod_123",
"name": "Premium Plan"
},
"price": {
"id": "price_123",
"recurring": true,
"interval": "month",
"intervalCount": 1,
"currencyOptions": {
"USD": {
"amount": 2999
}
}
}
}
}